diff -r -u3 nagios-1-x-cvs/common/downtime.c nagios-1-x-downtime/common/downtime.c
--- nagios-1-x-cvs/common/downtime.c	Fri Oct 18 02:07:05 2002
+++ nagios-1-x-downtime/common/downtime.c	Wed May  7 14:23:20 2003
@@ -275,24 +275,24 @@
 	minutes=((temp_downtime->duration-(hours*3600))/60);
 	if(temp_downtime->fixed==TRUE){
 		if(temp_downtime->type==HOST_DOWNTIME)
-			snprintf(temp_buffer,sizeof(temp_buffer)-1,"This host has been scheduled for downtime from %s to %s.  Notifications for the host will not be sent out during that time period.",start_time_string,end_time_string);
+			snprintf(temp_buffer,sizeof(temp_buffer)-1,"%s<br>This host has been scheduled for downtime from %s to %s.  Notifications for the host will not be sent out during that time period.",temp_downtime->comment,start_time_string,end_time_string);
 		else
-			snprintf(temp_buffer,sizeof(temp_buffer)-1,"This service has been scheduled for downtime from %s to %s.  Notifications for the service will not be sent out during that time period.",start_time_string,end_time_string);
+			snprintf(temp_buffer,sizeof(temp_buffer)-1,"%s<br>This service has been scheduled for downtime from %s to %s.  Notifications for the service will not be sent out during that time period.",temp_downtime->comment, start_time_string,end_time_string);
 	        }
 	else{
 		if(temp_downtime->type==HOST_DOWNTIME)
-			snprintf(temp_buffer,sizeof(temp_buffer)-1,"This host has been scheduled for downtime starting between %s and %s for a period of %d hours and %d minutes.  Notifications for the host will not be sent out during that time period.",start_time_string,end_time_string,hours,minutes);
+			snprintf(temp_buffer,sizeof(temp_buffer)-1,"%s<br>This host has been scheduled for downtime starting between %s and %s for a period of %d hours and %d minutes.  Notifications for the host will not be sent out during that time period.",temp_downtime->comment,start_time_string,end_time_string,hours,minutes);
 		else
-			snprintf(temp_buffer,sizeof(temp_buffer)-1,"This service has been scheduled for downtime starting between %s and %s for a period of %d hours and %d minutes.  Notifications for the service will not be sent out during that time period.",start_time_string,end_time_string,hours,minutes);
+			snprintf(temp_buffer,sizeof(temp_buffer)-1,"%s<br>This service has been scheduled for downtime starting between %s and %s for a period of %d hours and %d minutes.  Notifications for the service will not be sent out during that time period.",temp_downtime->comment,start_time_string,end_time_string,hours,minutes);
 	        }
 	temp_buffer[sizeof(temp_buffer)-1]='\x0';
 
 
 	/* add a non-persistent comment to the host or service regarding the scheduled outage */
 	if(temp_downtime->type==SERVICE_DOWNTIME)
-		save_comment(SERVICE_COMMENT,svc->host_name,svc->description,time(NULL),"(Nagios Process)",temp_buffer,0,&(temp_downtime->comment_id));
+		save_comment(SERVICE_COMMENT,svc->host_name,svc->description,time(NULL),temp_downtime->author,temp_buffer,0,&(temp_downtime->comment_id));
 	else
-		save_comment(HOST_COMMENT,hst->name,NULL,time(NULL),"(Nagios Process)",temp_buffer,0,&(temp_downtime->comment_id));
+		save_comment(HOST_COMMENT,hst->name,NULL,time(NULL),temp_downtime->author,temp_buffer,0,&(temp_downtime->comment_id));
 
 
 	/*** SCHEDULE DOWNTIME - FLEXIBLE (NON-FIXED) DOWNTIME IS HANDLED AT A LATER POINT ***/
